Debian Bug report logs - #525188
Need to plan migration path to MaraDNS to 2.0

version graph

Package: maradns; Maintainer for maradns is Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>; Source for maradns is src:maradns.

Reported by: Christoph Biedl <debian.packages.hhqj@manchmal.in-ulm.de>

Date: Wed, 22 Apr 2009 19:24:01 UTC

Owned by: nicholas@periapt.co.uk

Severity: normal

Tags: confirmed, fixed-upstream, ipv6

Merged with 477787

Found in versions maradns/1.3.07.08-1, maradns/1.3.07.09-2, maradns/1.4.03-1.1

Fixed in version maradns/2.0.04-1

Done: Nicholas Bamber <nicholas@periapt.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kai Hendry <hendry@iki.fi>:
Bug#525188; Package maradns. (Wed, 22 Apr 2009 19:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Biedl <debian.packages.hhqj@manchmal.in-ulm.de>:
New Bug report received and forwarded. Copy sent to Kai Hendry <hendry@iki.fi>. (Wed, 22 Apr 2009 19:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Biedl <debian.packages.hhqj@manchmal.in-ulm.de>
To: submit@bugs.debian.org
Subject: maradns: Does not resolve CNAME-on-AAAA records
Date: Wed, 22 Apr 2009 21:22:25 +0200
[Message part 1 (text/plain, inline)]
Package: maradns
Version: 1.3.07.09-2
Severity: important

Hi,

When queried for the AAAA record of a hostname which is actually a
CNAME, maradns returns the CNAME record only, not the AAAA record
itself. This renders maradns unusable as a resolver for all
applications that wish to connect to such a host using IPv6, or use
the hostname lookup method for access verification. One example is the
inn2 newsserver.

Behaviour of maradns:

$ dig -t AAAA news.turmzimmer.net. @127.0.0.1
(...)
;; ANSWER SECTION:
news.turmzimmer.net.	891	IN	CNAME	alius.turmzimmer.net.
(...)

Expected behaviour (using bind9):

$ dig -t AAAA news.turmzimmer.net. @127.0.0.1
(...)
;; ANSWER SECTION:
news.turmzimmer.net.	43242	IN	CNAME	alius.turmzimmer.net.
alius.turmzimmer.net.	43243	IN	AAAA	2001:6f8:1055:deb::80
(...)


Queries for the A record are handled as expected:

$ dig -t A news.turmzimmer.net. @127.0.0.1
(...)
;; ANSWER SECTION:
news.turmzimmer.net.	654	IN	CNAME	alius.turmzimmer.net.
alius.turmzimmer.net.	654	IN	A	78.46.213.165
(...)

    Christoph

-- System Information:
Debian Release: 5.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.27.21
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages maradns depends on:
ii  adduser                       3.110      add and remove users and groups
ii  libc6                         2.7-18     GNU C Library: Shared libraries

maradns recommends no packages.

maradns suggests no packages.

-- no debconf information

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#525188; Package maradns. (Sat, 25 Jul 2009 15:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kai Hendry <hendry@iki.fi>:
Extra info received and forwarded to list. (Sat, 25 Jul 2009 15:36:02 GMT) Full text and rfc822 format available.

Message #10 received at 525188@bugs.debian.org (full text, mbox):

From: Kai Hendry <hendry@iki.fi>
To: 525188@bugs.debian.org
Subject: ipv6
Date: Sat, 25 Jul 2009 16:33:33 +0100
Hi Christoph,

Does the bug exist when you rebuild maradns with --authonly?

http://marc.info/?l=maradns-list&m=124802049216303&w=2

Kind regards,




Information forwarded to debian-bugs-dist@lists.debian.org, Kai Hendry <hendry@iki.fi>:
Bug#525188; Package maradns. (Fri, 23 Jul 2010 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Trenholme <strenholme.usenet@gmail.com>:
Extra info received and forwarded to list. Copy sent to Kai Hendry <hendry@iki.fi>. (Fri, 23 Jul 2010 08:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 525188@bugs.debian.org (full text, mbox):

From: Sam Trenholme <strenholme.usenet@gmail.com>
To: 525188@bugs.debian.org
Cc: Kai Hendry <hendry@iki.fi>, debian.packages.hhqj@manchmal.in-ulm.de
Subject: Upstream here on recursive AAAA records.
Date: Fri, 23 Jul 2010 01:40:38 -0700
Upstream here.  Sorry for the delay, but I wanted to wait until I
could give people a real solution to this issue.

Just this last day, I have released Deadwood 2.9.01, which is the
daemon that will become MaraDNS 2.0's recursive resolver.  This daemon
fixes a number of long-standing issues MaraDNS 1.0's recursive
resolver has, including CNAMEs pointing to AAAA records.

Fully recursive Deadwood is not ready to be marked "stable", but I
have fixed all of the obvious bugs and it's a matter of getting the
code out there and getting it hammered on so I can hunt down and fix
bugs people find.

This particular issue is one that I will not fix in MaraDNS 1.x (IPv6
does not have wide adoption yet, and MaraDNS 2.0 should be out there
by the time it does), but it has already been fixed for MaraDNS 2.0.

- Sam

Note: I do not answer MaraDNS (including Deadwood) support requests
sent by private email without being compensated for my time. A MaraDNS
support request is any and all discussion you may wish to have about
MaraDNS in private email; if you want to email me to talk about
MaraDNS then, yes, that is a support request. I will discuss rates if
you want this kind of support. Thank you for your understanding.

MaraDNS security vulnerability reports, however, will be dealt with
without charge and kept confidential. If you don't know what Bugtraq
is, then, no, your email is not a security report. It is not a
security report unless you've done due diligence to determine how the
security bug you think you found can reasonably be exploited.




Information forwarded to debian-bugs-dist@lists.debian.org, Kai Hendry <hendry@iki.fi>:
Bug#525188; Package maradns. (Thu, 03 Feb 2011 17:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Kai Hendry <hendry@iki.fi>. (Thu, 03 Feb 2011 17:09:02 GMT) Full text and rfc822 format available.

Message #20 received at 525188@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: control@bugs.debian.org, 525188@bugs.debian.org
Subject: taking report back
Date: Thu, 03 Feb 2011 17:07:25 +0000
reassign 525188 maradns
retitle 525188 Need to examine maraDNS startup (was openvpn)
thanks

Alberto,
    I never thought it was a bug in openvpn per se. But I did not think 
it was one in maraDNS either. I need to think about this some more. I 
think maybe with the new dependency model for init.d there might be 
something that can be done on the maraDNS side.




Changed Bug title to 'Need to examine maraDNS startup (was openvpn)' from 'maradns: Does not resolve CNAME-on-AAAA records' Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 03 Feb 2011 17:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Kai Hendry <hendry@iki.fi>:
Bug#525188; Package maradns. (Thu, 03 Feb 2011 17:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Kai Hendry <hendry@iki.fi>. (Thu, 03 Feb 2011 17:18:03 GMT) Full text and rfc822 format available.

Message #27 received at 525188@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 525188@bugs.debian.org, control@bugs.debian.org
Subject: another maraDNS 2.0 issue
Date: Thu, 03 Feb 2011 17:16:47 +0000
severity 525188 normal
retitle 525188 Need to plan migration path to MaraDNS to 2.0
owner 525188 nicholas@periapt.co.uk
merge 477787 525188
thanks

Another maraDNS 2.0 issue




Severity set to 'normal' from 'important' Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 03 Feb 2011 17:18:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'Need to plan migration path to MaraDNS to 2.0' from 'Need to examine maraDNS startup (was openvpn)' Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 03 Feb 2011 17:18:09 GMT) Full text and rfc822 format available.

Owner recorded as nicholas@periapt.co.uk. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 03 Feb 2011 17:18:09 GMT) Full text and rfc822 format available.

Merged 477787 525188 573970. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 03 Feb 2011 17:18:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 525188: 612229 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sun, 06 Feb 2011 23:15:07 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:14 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Tue, 17 May 2011 13:54:09 GMT) Full text and rfc822 format available.

Forcibly Merged 477787 525188 573970 639675. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Mon, 29 Aug 2011 17:12:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 525188: 636158 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sat, 24 Sep 2011 09:57:25 GMT) Full text and rfc822 format available.

Disconnected #639675 from all other report(s). Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Tue, 29 Nov 2011 22:39:08 GMT) Full text and rfc822 format available.

Disconnected #573970 from all other report(s). Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Wed, 30 Nov 2011 23:27:13 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sat, 07 Jan 2012 00:18:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 525188: 688497 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Wed, 26 Sep 2012 06:57:04 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:35:52 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:28 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 28 Mar 2014 07:40:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:16:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.